﻿using UnityEngine;
using System.Collections;

public class InitialPause : MonoBehaviour {

	public float time = 5.0f;

	void Start () {
		StartCoroutine(DoWait());
	}

	IEnumerator DoWait()
	{
		Time.timeScale = 0.1f;
		float t0 = Time.unscaledTime;
		while (Time.unscaledTime - t0 < time && !Input.GetButtonDown ("Jump"))
		{
			yield return 0;
		}
		Time.timeScale = 1;
		Destroy(gameObject);
	}
}
